/*
 * 作成日: 2004/12/07
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;
import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JMenuItem;

/**
 * @author kuromaru
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public class SGToggleMenuItem extends JMenuItem
{

	/**
	 * 
	 */
	private boolean mSelectedFlag;


	/**
	 * 
	 */
	public SGToggleMenuItem()
	{
		super();
		this.init();
	}

	/**
	 * @param text
	 */
	public SGToggleMenuItem(String text)
	{
		super(text);
		this.init();
	}

	/**
	 * @param text
	 * @param mnemonic
	 */
	public SGToggleMenuItem(String text, int mnemonic)
	{
		super(text, mnemonic);
		this.init();
	}

	/**
	 * @param a
	 */
	public SGToggleMenuItem(Action a)
	{
		super(a);
		this.init();
	}

	/**
	 * @param icon
	 */
	public SGToggleMenuItem(Icon icon)
	{
		super(icon);
		this.init();
	}

	/**
	 * @param text
	 * @param icon
	 */
	public SGToggleMenuItem(String text, Icon icon)
	{
		super(text, icon);
		this.init();
	}

	
	
	private Color mDefaultBackgroundColor = null;

	private void init()
	{
		this.mDefaultBackgroundColor = this.getBackground();
	}

	
	
	/**
	 * @return mSelectedFlag
	 */
	public boolean isSelected()
	{
		return mSelectedFlag;
	}

	
	/**
	 * @param selectedFlag mSelectedFlag を設定します。
	 */
	public void setSelected(boolean selectedFlag)
	{
		mSelectedFlag = selectedFlag;
		if( selectedFlag )
		{
			this.setBackground( Color.GRAY );
		}
		else
		{
			this.setBackground( this.mDefaultBackgroundColor );
		}
	}





}
